memory File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | _GLIBCXX_MEMORY

## Enumerations

enum | pointer_safety { relaxed, preferred, strict }

## Functions

void * | std::align (size_t __align, size_t __size, void *&__ptr, size_t &__space) noexcept
void | std::declare_no_pointers (char *, size_t)
void | std::declare_reachable (void *)
pointer_safety | std::get_pointer_safety () noexcept
void | std::undeclare_no_pointers (char *, size_t)
template<typename _Tp >
_Tp * | std::undeclare_reachable (_Tp *__p)

## Detailed Description

This is a Standard C++ Library header.

Definition in file memory.